View Issue Details

IDProjectCategoryView StatusLast Update
0007521MediaMonkey (current)Framework: Scripts/Extensionspublic2011-05-23 22:52
Reporterpeke Assigned To 
PriorityurgentSeveritytrivialReproducibilityalways
Status closedResolutionfixed 
Target Version4.0Fixed in Version4.0 
Summary0007521: FilePath: Get 8.3 formated ShortPath Filename
DescriptionAs in windows 7 Short path is not shown and VBS command do not work correctly.

I've created small app that users tested and confirm working.

It should be trivial to add small Function in MM http://www.mediamonkey.com/wiki/index.php/SDBFileSystem named GetShortPath(filename as String) as String that will only return ShortPath using internal Delphi ExtractShortPathName(FileName)

Empty in case non-existing filename/path

Note that this should be very very easy to Add and it is Risk Free.

Additional InformationNoted by Trixmoto in http://www.mediamonkey.com/forum/viewtopic.php?p=289047#p289047

Confimed on my app that it works in my delphi app http://www.mediamonkey.com/forum/viewtopic.php?p=289418#p289418
TagsNo tags attached.
Fixed in build1365

Activities

peke

2011-03-15 00:26

developer   ~0023694

As it is risk free and only few lines of code it could be useful to add it in MM4.0

jiri

2011-03-15 08:24

administrator   ~0023696

I'd rather see first why exactly is it needed. GetShortPath seems to work fine on my machine, tested the following code:

Dim fso, f, s
Set fso = CreateObject("Scripting.FileSystemObject")
Set f = fso.GetFile("C:\Program Files\Common Files\microsoft shared\Help 9\dexplore.exe")
s = "The short path for " & UCase(f.Name) & "
"
s = s & "is: " & f.ShortPath
MsgBox s

and it works fine. Is it just Win 7 x64? Or any other problem?

peke

2011-03-15 20:20

developer   ~0023720

On some installations of Windows 7, Server 2008 using NTFS HDD format indexing of short filenames is disabled it can be also disabled in XP, 2000, NT. I have not encountered this but it would be logical to disable it on external HDDs cause of speed issues.

jiri

2011-03-16 09:11

administrator   ~0023735

Ok, in case it adds some reliability, let's add the property.

peke

2011-03-17 01:03

developer   ~0023751

It would be most valuable when full path names are sent to external apps like Trixmoto MusicIP Tagger and we know limitations of windows command line max length.

Ludek

2011-04-15 10:06

developer   ~0024328

Fixed in build 1365 and documented:
http://www.mediamonkey.com/wiki/index.php/SDBFileSystem

peke

2011-05-23 22:52

developer   ~0025599

Verified 1378